package xiaoqu.home.open.model.db1;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 物业表
 * </p>
 *
 * @author wh
 * @since 2022-03-11
 */
@TableName("properyt")
@ApiModel(value="Properyt对象", description="物业表")
public class Properyt extends Model<Properyt> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "类型（0：区域主管1：代理2：物业，3....）")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "企业名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "代理商id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "企业地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "企业联系方式")
    @TableField("phone")
    private String phone;

    @ApiModelProperty(value = "上级id")
    @TableField("supervisor_id")
    private Long supervisorId;

    @ApiModelProperty(value = "物业编号")
    @TableField("serialnumber")
    private String serialnumber;

    @ApiModelProperty(value = "省")
    @TableField("province")
    private String province;

    @ApiModelProperty(value = "市")
    @TableField("city")
    private String city;

    @ApiModelProperty(value = "县")
    @TableField("countyseat")
    private String countyseat;

    @ApiModelProperty(value = "备注信息")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "联系人")
    @TableField("contact")
    private String contact;

    @ApiModelProperty(value = "联系人邮箱")
    @TableField("mail")
    private String mail;

    @ApiModelProperty(value = "客户id自动生成")
    @TableField("customerId")
    private String customerId;

    @ApiModelProperty(value = "上线站点数")
    @TableField("district_on_count")
    private Integer districtOnCount;

    @ApiModelProperty(value = "上线设备数")
    @TableField("hard_on_count")
    private Integer hardOnCount;

    @ApiModelProperty(value = "物业账号数")
    @TableField("user_count")
    private Integer userCount;

    @ApiModelProperty(value = "户名")
    @TableField("account_name")
    private String accountName;

    @ApiModelProperty(value = "账号")
    @TableField("account_no")
    private String accountNo;

    @ApiModelProperty(value = "开户行")
    @TableField("account_bank")
    private String accountBank;

    @ApiModelProperty(value = "纳税人识别号")
    @TableField("identification_number")
    private String identificationNumber;

    @ApiModelProperty(value = "开票名称")
    @TableField("invoice_name")
    private String invoiceName;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getSupervisorId() {
        return supervisorId;
    }

    public void setSupervisorId(Long supervisorId) {
        this.supervisorId = supervisorId;
    }

    public String getSerialnumber() {
        return serialnumber;
    }

    public void setSerialnumber(String serialnumber) {
        this.serialnumber = serialnumber;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCountyseat() {
        return countyseat;
    }

    public void setCountyseat(String countyseat) {
        this.countyseat = countyseat;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public Integer getDistrictOnCount() {
        return districtOnCount;
    }

    public void setDistrictOnCount(Integer districtOnCount) {
        this.districtOnCount = districtOnCount;
    }

    public Integer getHardOnCount() {
        return hardOnCount;
    }

    public void setHardOnCount(Integer hardOnCount) {
        this.hardOnCount = hardOnCount;
    }

    public Integer getUserCount() {
        return userCount;
    }

    public void setUserCount(Integer userCount) {
        this.userCount = userCount;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public String getAccountBank() {
        return accountBank;
    }

    public void setAccountBank(String accountBank) {
        this.accountBank = accountBank;
    }

    public String getIdentificationNumber() {
        return identificationNumber;
    }

    public void setIdentificationNumber(String identificationNumber) {
        this.identificationNumber = identificationNumber;
    }

    public String getInvoiceName() {
        return invoiceName;
    }

    public void setInvoiceName(String invoiceName) {
        this.invoiceName = invoiceName;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Properyt{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", type=" + type +
        ", name=" + name +
        ", agentId=" + agentId +
        ", address=" + address +
        ", phone=" + phone +
        ", supervisorId=" + supervisorId +
        ", serialnumber=" + serialnumber +
        ", province=" + province +
        ", city=" + city +
        ", countyseat=" + countyseat +
        ", memo=" + memo +
        ", contact=" + contact +
        ", mail=" + mail +
        ", customerId=" + customerId +
        ", districtOnCount=" + districtOnCount +
        ", hardOnCount=" + hardOnCount +
        ", userCount=" + userCount +
        ", accountName=" + accountName +
        ", accountNo=" + accountNo +
        ", accountBank=" + accountBank +
        ", identificationNumber=" + identificationNumber +
        ", invoiceName=" + invoiceName +
        "}";
    }
}
